import request from '@/utils/request'

export function login(data) {
  return request({
    url: '/user/login',
    method: 'post',
    data
  })
}

export function updatePassword(data) {
  return request({
    url: '/auth/user/modifyPass',
    method: 'put',
    data
  })
}

export function getInfo(token) {
  return request({
    url: '/user/getUserInfo',
    method: 'get',
    params: {
      token
    }
  })
}

export function logout() {
  return request({
    url: '/qljc-web-vue/user/logout',
    method: 'post'
  })
}

// 手机短信验证
export function sendSmsCode(params) {
  return request({
    url: '/auth/api/smsCaptcha',
    method: 'post',
    params: params
  })
}
/** *
 * 获取eventType常量
 */
export function getEventTypePage() {
  return request({
    url: '/eventType/page?size=20',
    method: 'get'
  })
}


/** *
 * 获取用户姓名
 */
export function getUserNameById(params) {
  return request({
    url: '/auth/user/userInfo',
    method: 'get',
    params
  })
}





// /** *
//  * 上传头像
//  */
// export function uploadFileByFile(data) {
//   return request({
//     url: '/common/oss/uploadFileByFile',
//     method: 'post',
//     data,
//     headers: {
//       'Content-Type': 'multipart/form-data'
//     }
//   })
// }

// /** *
//  * 更新头像
//  */
// export function updateHeadPic(params) {
//   return request({
//     url: '/auth/user/updateHeadPic',
//     method: 'get',
//     params
//   })
// }


